---
title: Valid JSON but non-standard IdentifierKeys
slug: fourkites-api-reference/valid-json-but-non-standard-identifierkeys
createdAt: 2024-02-05T08:13:55.000Z
---

:::ApiMethodV2
```json
{
  "name": "",
  "method": "POST",
  "url": "https://api.fourkites.com/load/update/dispatcher-api/async",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "A7Tsvgnmw7rglHtFt1mgt",
        "language": "curl",
        "code": "curl --location 'https://api.fourkites.com/load/update/dispatcher-api/async' \\\n--header 'Content-Type: application/json' \\\n--data '{\n    \"updates\": [\n        {\n            \"timeZone\": \"UTC\",\n            \"identifierKeys\": {\n                \"identifier\": \"Load reference #1\",\n                \"rawIdentifier\": \"Carrier format - Load reference #1\",\n                \"identifierType\": \"Load reference identifier type in FourKites or Carrier company\" //If FourKites standard used, then only reference would be searched using given identifierType otherwise skipped\n            },\n            \"loadUpdate\": [\n                {\n                    \"locationUpdate\": {\n                        \"latitude\": \"41.998090\",\n                        \"longitude\": \"-87.668700\",\n                        \"locatedAt\": \"2023-08-27T19:50:00Z\",\n                        \"city\": \"Chicago\",\n                        \"state\": \"IL\"\n                    }\n                }\n            ]\n        }\n    ]\n}'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "A7Tsvgnmw7rglHtFt1mgt"
  },
  "results": {
    "languages": [
      {
        "id": "WddmdrqmVG0OooSGjBrDt",
        "language": "400",
        "customLabel": "",
        "code": "{\n  \"requestId\": \"61d6f56a-9ab9-4055-a13b-1c2cfcb7f4e0\",\n  \"status\": \"400\",\n  \"message\": \"Invalid JSON format @ index - ['updates'][0]['identifierKeys']\",\n  \"timestamp\": \"2023-09-14T18:03:08.534326\"\n}"
      }
    ],
    "selectedLanguageId": "WddmdrqmVG0OooSGjBrDt"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "O7NMUwkdgIVhunNQAEoD0",
  "legacyHash": "O7NMUwkdgIVhunNQAEoD0"
}
```
:::

## Header

***

| **Content-Type** | application/xml |
| ---------------- | --------------- |
| **apikey**       | testkey         |

## Body

***

```json
{
    "updates": [
        {
            "timeZone": "UTC",
            "identifierKeys": {
                "identifier": "Load reference #1",
                "rawIdentifier": "Carrier format - Load reference #1",
                "identifierType": "Load reference identifier type in FourKites or Carrier company" //If FourKites standard used, then only reference would be searched using given identifierType otherwise skipped
            },
            "loadUpdate": [
                {
                    "locationUpdate": {
                        "latitude": "41.998090",
                        "longitude": "-87.668700",
                        "locatedAt": "2023-08-27T19:50:00Z",
                        "city": "Chicago",
                        "state": "IL"
                    }
                }
            ]
        }
    ]
}
```
